
D4Science Infrastructure - Incident #391

Recently Updated Files Portlet does not work due to exception in HL 2.0

Jul 16, 2015 05:42 PM - Massimiliano Assante

Status: Closed Start date: Jul 16, 2015

Priority: Urgent Due date:  

Assignee: Valentina Marioli % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production   

Description

This is what I get in the server's log

eed.server.NewsServiceImpl  - Returning 4 users for scope /d4science.research-infrastructures.eu/FARM/VME-DB

2015-07-16 15:40:31,568 ERROR workspace.JCRWorkspaceItem [TP-Processor6,getLastItems:538]

%org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.commons.httpclient.HttpException: Received

error status 500

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:508)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServiceImpl.getLastUpdateFiles(FileServiceImpl.java:102)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:555)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:745)

Caused by: org.apache.commons.httpclient.HttpException: Received error status 500

at org.gcube.common.homelibrary.jcr.workspace.servlet.JCRServlets.executeQuery(JCRServlets.java:414)

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:506)

... 27 more

[PORTAL] 3493368 [TP-Processor6] ERROR org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem  - Error

getLastItems

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.commons.httpclient.HttpException: Received

error status 500

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:508)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServiceImpl.getLastUpdateFiles(FileServiceImpl.java:102)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)
at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:555)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:745)

Caused by: org.apache.commons.httpclient.HttpException: Received error status 500

at org.gcube.common.homelibrary.jcr.workspace.servlet.JCRServlets.executeQuery(JCRServlets.java:414)

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:506)

... 27 more

org.gcube.common.homelibrary.home.exceptions.InternalErrorException:

org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.commons.httpclient.HttpException: Received

error status 500

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:539)

at org.gcube.portlets.user.lastupdatedfiles.server.FileServiceImpl.getLastUpdateFiles(FileServiceImpl.java:102)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:606)

at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:208)

at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:248)

at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:555)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)

at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:190)

at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)

at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:774)

at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)

at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:896)

at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:690)

at java.lang.Thread.run(Thread.java:745)

Caused by: org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.apache.commons.httpclient.HttpException:

Received error status 500

at

org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:508)

... 27 more

Caused by: org.apache.commons.httpclient.HttpException: Received error status 500

at org.gcube.common.homelibrary.jcr.workspace.servlet.JCRServlets.executeQuery(JCRServlets.java:414)

at
org.gcube.common.homelibrary.jcr.workspace.JCRAbstractWorkspaceFolder.getLastItems(JCRAbstractWorkspaceFolder.java:506)

... 27 more

History

#1 - Jul 17, 2015 12:17 PM - Valentina Marioli

- Status changed from New to In Progress

#2 - Jul 17, 2015 12:22 PM - Valentina Marioli

Can you please check if the bug has been fixed? 

#3 - Jul 17, 2015 12:29 PM - Massimiliano Assante

it seems so

#4 - Jul 22, 2015 02:51 PM - Valentina Marioli

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
